[SCM] Gerris Flow Solver branch, upstream, updated. b3aa46814a06c9cb2912790b23916ffb44f1f203

Stephane Popinet popinet at users.sf.net
Fri May 15 02:56:17 UTC 2009


The following commit has been merged in the upstream branch:
commit ef76a7ff9866c167ff74de5eabc3943752ec3768
Author: Stephane Popinet <popinet at users.sf.net>
Date:   Tue Apr 21 07:45:49 2009 +1000

    New 'ppm2video' script
    
    Uses ffmpeg to convert PPM to (almost) any video format.
    
    darcs-hash:20090420214549-d4795-9edd0efec75223be6b57e9a88a2b428c77774119.gz

diff --git a/tools/Makefile.am b/tools/Makefile.am
index 664b745..71dd459 100644
--- a/tools/Makefile.am
+++ b/tools/Makefile.am
@@ -19,6 +19,7 @@ bin_SCRIPTS = \
 	bat2gts \
 	ppm2mpeg \
 	ppm2theora \
+	ppm2video \
 	gfs2gfs \
 	gfsjoin
 
diff --git a/tools/ppm2video b/tools/ppm2video
new file mode 100755
index 0000000..140505b
--- /dev/null
+++ b/tools/ppm2video
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+if test -z "`which ffmpeg`"; then
+    echo "ppm2video: error: could not find 'ffmpeg'" > /dev/stderr
+    exit 1
+fi
+
+command="ffmpeg -f image2pipe -vcodec ppm -i -"
+while test $# -gt 0; do
+    command="$command $1"
+    shift
+done
+
+if test -d "$TMPDIR" ; then
+  log=`mktemp $TMPDIR/ppm2video.XXXXXX`
+else
+  log=`mktemp /tmp/ppm2video.XXXXXX`
+fi
+
+if $command 2> $log; then :
+else
+    cat $log > /dev/stderr
+    rm -f $log
+    exit 1
+fi
+rm -f $log
+
+exit 0

-- 
Gerris Flow Solver



More information about the debian-science-commits mailing list